Bug 124153 - Booting with USB mouse plugged in causes system to hang
Booting with USB mouse plugged in causes system to hang
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 11:32 EDT by Nicholas Allen
Modified: 2015-01-04 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:23:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicholas Allen 2004-05-24 11:32:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
If I boot my laptop with my USB mouse (Logitech Mx510) plugged in the system hangs and never completes booting. No keyboard or mouse (even touchpad) appear to work. I cannot even Ctrl-F1 to get to a virtual terminal. This used to happen only sometimes but now it happens every single time I boot. The graphical boot sequence only displays "Setting hostname..."

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Boot computer with USB mouse plugged in
2.
3.
    

Actual Results:  System hangs and never boots. Noo mouse or keyboard works. Graphical startup sequence shows "Setting hostname...". Cannot even get to virtual terminal.

Expected Results:  It should not hang when booting with a USB mouse plugged in. Instead it should allow the USB mouse to be used and boot up normally.

Additional info:
Comment 1 Barry K. Nathan 2004-07-14 06:59:01 EDT
Try installing the latest Fedora Core 2 update kernel                
          
(2.6.6-1.435.2.3, I think) and see if you still have the problem. If 
          
so, you may want to try a test kernel from one of these sources:     
          
                                                                     
          
+ rawhide (a.k.a. FC-devel)                                          
          
+ FC 3 test 1                                                        
          
+ http://people.redhat.com/arjanv/2.6/
Comment 2 David Favro 2004-11-29 13:53:05 EST
I have the same problem.  This seems to me to be the same bug as 
#127848 -- I added more information there.  Perhaps someone should 
merge them?
Comment 3 Dave Jones 2005-04-16 01:23:39 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.